<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Office_Support extends Controller_Environment_Office
{

    public function before() {
        parent::before();
    }

    public function action_index() {
        $itemsOnPage = 9; //$_GET['count'];

        $currentPage = $_GET['page'];
        $statusFilter = $_GET['filter'];

        if ($statusFilter != 'all' &&
            $statusFilter != 'closed' &&
            $statusFilter != 'opened' &&
            $statusFilter != 'processed' ) {
            $statusFilter = 'all';
        }

        if ($currentPage == null) {
            $currentPage = 1;
        }

        $offset = ($currentPage - 1) * $itemsOnPage;
        $requests = Model_Support::getRequests($this->user->ID, $offset, $itemsOnPage, $statusFilter);
        if ($requests == null) {
            throw new HTTP_Exception_404('Page not found');
        }

        $requestNum = Model_Support::getNumberOfRequests($statusFilter);
        $pagesNum = ceil($requestNum / $itemsOnPage);

        $this->twig->set([
            'Requests' => $requests,
            'PagesNum' => $pagesNum,
            'CurrentPage' => $currentPage,
            'PaginationBase' => "office/support?filter=" . $statusFilter,
            'Filter' => $statusFilter
        ])->set_filename(static::OFFICE . 'support/requests');
    }

}
